# TODO: convert to alaw,ulaw,slinear,speex
# NOTE: this packages not requires Asterisk, because:
#  - asterisk requires asterisk-sounds
#  - subpackages requires asterisk codecs, that requires Asterisk
%define sound_dir	%_datadir/asterisk/sounds/

Name: asterisk-sounds-fr
Summary: sounds for Asterisk
Version: 1.4.6
Release: alt1
License: GPL
Group: System/Servers

Obsoletes: asterisk-sounds
Conflicts: asterisk-sounds 

Requires(pre): asterisk-base

BuildArch: noarch

Packager: Denis Smirnov <mithraen@altlinux.ru>

Source1: pbx-gsm-to-all
Source10: asterisk-core-sounds-fr-ulaw-%version.tar
Source11: asterisk-core-sounds-fr-gsm-%version.tar
Source12: asterisk-core-sounds-fr-g729-%version.tar
Source13: asterisk-core-sounds-fr-alaw-%version.tar
Source14: asterisk-core-sounds-fr-wav-%version.tar
Source15: asterisk-core-sounds-fr-g722-%version.tar

%description
Sounds for Asterisk PBX

%prep
%setup -c -T

%build
%install
mkdir -p %buildroot%sound_dir/fr
pushd %buildroot%sound_dir/fr
tar xf %SOURCE10
tar xf %SOURCE11
tar xf %SOURCE12
tar xf %SOURCE13
tar xf %SOURCE14
tar xf %SOURCE15

#find %buildroot%sound_dir -type f -name '*.gsm' -print0 \
#	 | xargs -0r -n1 %SOURCE1

%files
%sound_dir

%changelog
* Sun Apr 29 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.6-alt1
- update to 1.4.6

* Thu Jan 11 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.5-alt1
- version update to 1.4.5

* Sun Dec 17 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.4-alt1
- version update
- add silence files
- rebuild G.722 version

* Fri Oct 27 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.3-alt1
- first build for Sisyphus

